Loading...
Searching...
No Matches
ranges::push_back_fn Struct Reference
Actions

## Public Member Functions

template<typename Rng , typename T > requires input_range<Rng> && can_push_back_<Rng, std::initializer_list<T>> && constructible_from<range_value_t<Rng>, T const &>
Rng | operator() (Rng &&rng, std::initializer_list< T > t) const
template<typename Rng , typename T > requires input_range<Rng> && can_push_back_<Rng, T> && (range<T> || constructible_from<range_value_t<Rng>, T>)
Rng | operator() (Rng &&rng, T &&t) const
template<typename T >
constexpr auto | operator() (std::initializer_list< T > val) const
template<typename T >
constexpr auto | operator() (T &&val) const
template<typename T > requires range<T &>
constexpr auto | operator() (T &t) const